Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.initialization
Class BaseSettings

    java.lang.Object
      org.gradle.initialization.BaseSettings

All Implemented Interfaces:
  SettingsInternal

    class BaseSettings
    extends java.lang.Object

author:
  Hans Dockter

Field Summary
`static java.lang.String` | `DEFAULT_BUILD_SRC_DIR`

Constructor Summary
`protected BaseSettings()`
`BaseSettings(IProjectDescriptorRegistry projectDescriptorRegistry, BuildSourceBuilder buildSourceBuilder, File settingsDir, ScriptSource settingsScript, StartParameter startParameter)`

Method Summary
`URLClassLoader` | `createClassLoader()`
`DefaultProjectDescriptor` | `createProjectDescriptor(DefaultProjectDescriptor parent, java.lang.String name, File dir)`
`DefaultProjectDescriptor` | `findProject(java.lang.String path)`
`DefaultProjectDescriptor` | `findProject(File projectDir)`
`java.util.Map` | `getAdditionalProperties()`
`BuildSourceBuilder` | `getBuildSourceBuilder()`
`protected DynamicObjectHelper` | `getDynamicObjectHelper()`
`IProjectDescriptorRegistry` | `getProjectDescriptorRegistry()`
`IProjectRegistry` | `getProjectRegistry()`
`File` | `getRootDir()`
`ProjectDescriptor` | `getRootProject()`
`File` | `getSettingsDir()`
`ScriptSource` | `getSettingsScript()`
`StartParameter` | `getStartParameter()`
`void` | `include(java.lang.String[] projectPaths)`
`void` | `includeFlat(java.lang.String[] projectNames)`
`DefaultProjectDescriptor` | `project(java.lang.String path)`
`DefaultProjectDescriptor` | `project(File projectDir)`
`void` | `setBuildSourceBuilder(BuildSourceBuilder buildSourceBuilder)`
`void` | `setProjectDescriptorRegistry(IProjectDescriptorRegistry projectDescriptorRegistry)`
`void` | `setRootProjectDescriptor(DefaultProjectDescriptor rootProjectDescriptor)`
`void` | `setSettingsDir(File settingsDir)`
`void` | `setSettingsScript(ScriptSource settingsScript)`
`void` | `setStartParameter(StartParameter startParameter)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Field Detail

### DEFAULT_BUILD_SRC_DIR

    static final java.lang.String DEFAULT_BUILD_SRC_DIR

Constructor Detail

### BaseSettings

    protected BaseSettings()

### BaseSettings

    public BaseSettings(IProjectDescriptorRegistry projectDescriptorRegistry, BuildSourceBuilder buildSourceBuilder, File settingsDir, ScriptSource settingsScript, StartParameter startParameter)

Method Detail

### createClassLoader

    public URLClassLoader createClassLoader()

### createProjectDescriptor

    public DefaultProjectDescriptor createProjectDescriptor(DefaultProjectDescriptor parent, java.lang.String name, File dir)

### findProject

    public DefaultProjectDescriptor findProject(java.lang.String path)

### findProject

    public DefaultProjectDescriptor findProject(File projectDir)

### getAdditionalProperties

    public java.util.Map getAdditionalProperties()

### getBuildSourceBuilder

    public BuildSourceBuilder getBuildSourceBuilder()

### getDynamicObjectHelper

    protected DynamicObjectHelper getDynamicObjectHelper()

### getProjectDescriptorRegistry

    public IProjectDescriptorRegistry getProjectDescriptorRegistry()

### getProjectRegistry

    public IProjectRegistry getProjectRegistry()

### getRootDir

    public File getRootDir()

### getRootProject

    public ProjectDescriptor getRootProject()

### getSettingsDir

    public File getSettingsDir()

### getSettingsScript

    public ScriptSource getSettingsScript()

### getStartParameter

    public StartParameter getStartParameter()

### include

    public void include(java.lang.String[] projectPaths)

### includeFlat

    public void includeFlat(java.lang.String[] projectNames)

### project

    public DefaultProjectDescriptor project(java.lang.String path)

### project

    public DefaultProjectDescriptor project(File projectDir)

### setBuildSourceBuilder

    public void setBuildSourceBuilder(BuildSourceBuilder buildSourceBuilder)

### setProjectDescriptorRegistry

    public void setProjectDescriptorRegistry(IProjectDescriptorRegistry projectDescriptorRegistry)

### setRootProjectDescriptor

    public void setRootProjectDescriptor(DefaultProjectDescriptor rootProjectDescriptor)

### setSettingsDir

    public void setSettingsDir(File settingsDir)

### setSettingsScript

    public void setSettingsScript(ScriptSource settingsScript)

### setStartParameter

    public void setStartParameter(StartParameter startParameter)

### toString

    @Override
    public java.lang.String toString()

Groovy Documentation